## ipu7-drivers 0~git202501150639.ffcbb112

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2022 Intel Corporation.

KERNELRELEASE ?= $(shell uname -r)
KERNEL_SRC ?= /lib/modules/$(KERNELRELEASE)/build
MODSRC := $(shell pwd)

export EXTERNAL_BUILD = 1
export CONFIG_VIDEO_INTEL_IPU7 = m
export CONFIG_IPU_BRIDGE = y

obj-y += drivers/media/pci/intel/ipu7/
subdir-ccflags-y += -I$(src)/include

subdir-ccflags-$(CONFIG_IPU_BRIDGE) += \
	-DCONFIG_IPU_BRIDGE
subdir-ccflags-y += $(subdir-ccflags-m)

all:
	$(MAKE) -C $(KERNEL_SRC) M=$(MODSRC) modules
modules_install:
	$(MAKE) INSTALL_MOD_DIR=updates -C $(KERNEL_SRC) M=$(MODSRC) modules_install
clean:
	$(MAKE) -C $(KERNEL_SRC) M=$(MODSRC) clean

=== drivers/media/pci/intel/ipu7/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2017 - 2024 Intel Corporation.

is_kernel_lt_6_10 = $(shell if [ $$(printf "6.10\n$(KERNELVERSION)" | sort -V | head -n1) != "6.10" ]; then echo 1; fi)
ifeq ($(is_kernel_lt_6_10), 1)
ifneq ($(EXTERNAL_BUILD), 1)
src := $(srctree)/$(src)
endif
endif

intel-ipu7-objs				+= ipu7.o \
					   ipu7-bus.o \
					   ipu7-dma.o \
					   ipu7-mmu.o \
					   ipu7-buttress.o \
					   ipu7-cpd.o \
					   ipu7-syscom.o \
					   ipu7-boot.o

obj-$(CONFIG_VIDEO_INTEL_IPU7)		+= intel-ipu7.o

intel-ipu7-isys-objs			+= ipu7-isys.o \
					   ipu7-isys-csi2.o \
					   ipu7-isys-csi-phy.o \
					   ipu7-fw-isys.o \
					   ipu7-isys-video.o \
					   ipu7-isys-queue.o \
					   ipu7-isys-subdev.o

ifdef CONFIG_VIDEO_INTEL_IPU7_MGC
intel-ipu7-isys-objs                    += ipu7-isys-tpg.o
endif
obj-$(CONFIG_VIDEO_INTEL_IPU7)		+= intel-ipu7-isys.o

obj-$(CONFIG_VIDEO_INTEL_IPU7)		+= psys/

ccflags-y += -I$(src)/

## ipu7-drivers 0~git202407090310.f40d5a70

=== debian/changelog ===
ipu7-drivers (0~git202407090310.f40d5a70-0ubuntu2) oracular; urgency=medium

  * copyright: Fix license for debian/.
  * control: Update Vcs entries.
  * control: Bump standards to 4.7.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Sep 2024 11:48:14 +0300

ipu7-drivers (0~git202407090310.f40d5a70-0ubuntu1) oracular; urgency=low

  [ You-Sheng Yang ]
  * Upstream commit f40d5a70 on 2024-07-02. (LP: #2078326)
  * debianize
    - dkms: use debian package version as PACKAGE_VERSION
    - build: fix kernel feature macro definitions
    - dkms: add CONFIG_VIDEO_V4L2_I2C to BUILD_EXCLUSIVE_CONFIG
    - media: ov02c10: copy driver source from ipu6-drivers

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Mon, 12 Aug 2024 15:30:48 +0800

=== debian/control ===
Source: ipu7-drivers
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: You-Sheng Yang <vicamo.yang@canonical.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-modaliases,
 dkms,
 dh-sequence-dkms,
 quilt,
Standards-Version: 4.7.0
Homepage: https://github.com/intel/ipu7-drivers
Vcs-Browser: https://code.launchpad.net/~vicamo/ubuntu/+source/ipu7-drivers/+git/ipu7-drivers
Vcs-Git: https://code.launchpad.net/~vicamo/ubuntu/+source/ipu7-drivers/+git/ipu7-drivers

Package: intel-ipu7-dkms
Architecture: amd64
Depends:
 dkms,
 ${misc:Depends},
Provides: ipu7-modules
XB-Modaliases: ${modaliases}
Description: Intel Integrated Image Processing Unit 7 (IPU7) driver
 This package provides kernel drivers for MIPI cameras through the Intel IPU7
 on Intel Lunar Lake or later platforms.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk

DKMS_PACKAGE_NAME = $(shell grep '^PACKAGE_NAME=' dkms.conf | cut -d\" -f2)
DKMS_PACKAGE_VERSION = $(DEB_VERSION)

generated_dkms_files = \
  debian/intel-ipu7-dkms.install \
  $(empty)

%:
	dh $@ --with modaliases

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:

override_dh_dkms: dkms.conf
	dh_dkms -V $(DKMS_PACKAGE_VERSION) -- dkms.conf

override_dh_install: debian/intel-ipu7-dkms.install
	dh_install --exclude=.gitignore

override_dh_clean:
	-rm -f $(generated_dkms_files)
	dh_clean

$(generated_dkms_files) : $(generated_dkms_files:=.in) debian/rules
	sed -e 's,@DKMS_PACKAGE_NAME@,$(DKMS_PACKAGE_NAME),g' \
	    -e 's,@DKMS_PACKAGE_VERSION@,$(DKMS_PACKAGE_VERSION),g' \
	    <$(@:=.in) >$@

## ipu7-drivers 0~git202409300310.526ed27f

=== debian/changelog ===
ipu7-drivers (0~git202409300310.526ed27f-0ubuntu1) plucky; urgency=medium

  [ You-Sheng Yang ]
  * New upstream commit 526ed27f. (LP: #2084524)
    - drop upstreamed patch
      0003-dkms-add-CONFIG_VIDEO_V4L2_I2C-to-BUILD_EXCLUSIVE_CO.patch
  * debian: update Vcs info
  * Failed to build against linux-6.12, multiple errors (LP: #2083997)
    - SAUCE: backport: dma-mapping: don't return errors from
      dma_set_max_seg_size
    - SAUCE: backport: move asm/unaligned.h to linux/unaligned.h

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Tue, 15 Oct 2024 16:40:55 +0800

## ipu7-drivers 0~git202412060257.0fc08453

=== debian/changelog ===
ipu7-drivers (0~git202412060257.0fc08453-0ubuntu1) plucky; urgency=medium

  * Checkbox camera test leaves system powered off with 1-Amber-8-White debug
    LED on Dell Bolan platforms (LP: #2090821)
    - media: ipu7: Block suspend when PSYS is on

  * Trigger camera_quality_test.py multiple times breaks the ipu7 camera
    (LP: #2092080)
    - media: ipu7: Use pm_runtime_put_sync when release PSYS
    - media: ipu7: Check number of terminal when building graph
    - media: ipu7: Remove TODOs for PSYS driver

  * media: intel-ipu7: ignore of the BIT 0 of PB local irq status
    (LP: #2091153)

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Mon, 02 Dec 2024 15:39:08 +0800

## ipu7-drivers 0~git202501150639.ffcbb112

=== debian/changelog ===
ipu7-drivers (0~git202501150639.ffcbb112-0ubuntu1) plucky; urgency=medium

  * New upstream 20250108_1730_388 tag release (LP: #2100823)
    - drop upstreamed patches
    - update package modaliases

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 04 Mar 2025 15:26:58 +0800

ipu7-drivers (0~git202412060257.0fc08453-0ubuntu2) plucky; urgency=medium

  * Fix dkms failure to build against kernel v6.13 (LP: #2099881)

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 24 Feb 2025 22:44:11 +0800

## ipu7-drivers 0~git202507010803.e6f86fa7

=== drivers/media/pci/intel/ipu7/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: GPL-2.0
-# Copyright (c) 2017 - 2024 Intel Corporation.
+# Copyright (c) 2017 - 2025 Intel Corporation.
 
 is_kernel_lt_6_10 = $(shell if [ $$(printf "6.10\n$(KERNELVERSION)" | sort -V | head -n1) != "6.10" ]; then echo 1; fi)
 ifeq ($(is_kernel_lt_6_10), 1)

=== drivers/media/pci/intel/ipu7/psys/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2017 - 2024 Intel Corporation.

is_kernel_lt_6_10 = $(shell if [ $$(printf "6.10\n$(KERNELVERSION)" | sort -V | head -n1) != "6.10" ]; then echo 1; fi)
ifeq ($(is_kernel_lt_6_10), 1)
ifneq ($(EXTERNAL_BUILD), 1)
src := $(srctree)/$(src)
endif
endif

intel-ipu7-psys-objs		+= ipu-psys.o \
				ipu7-psys.o \
				ipu7-fw-psys.o

obj-$(CONFIG_VIDEO_INTEL_IPU7)	+= intel-ipu7-psys.o

ccflags-y += -I$(src)/
ccflags-y += -I$(src)/../

=== debian/changelog ===
ipu7-drivers (0~git202507010803.e6f86fa7-0ubuntu1) questing; urgency=medium

  * New upstream 20250618_0343_217 Relese (LP: #2101850)

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 10 Jul 2025 22:45:35 +0800

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  quilt,
 Standards-Version: 4.7.0
 Homepage: https://github.com/intel/ipu7-drivers
-Vcs-Browser: https://code.launchpad.net/~vicamo/ubuntu/+source/ipu7-drivers/+git/ipu7-drivers
-Vcs-Git: https://code.launchpad.net/~vicamo/ubuntu/+source/ipu7-drivers/+git/ipu7-drivers
+Vcs-Browser: https://git.launchpad.net/ubuntu/+source/ipu7-drivers
+Vcs-Git: https://git.launchpad.net/ubuntu/+source/ipu7-drivers
 
 Package: intel-ipu7-dkms
 Architecture: amd64

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 DKMS_PACKAGE_NAME = $(shell grep '^PACKAGE_NAME=' dkms.conf | cut -d\" -f2)
-DKMS_PACKAGE_VERSION = $(DEB_VERSION)
+DKMS_PACKAGE_VERSION = $(DEB_VERSION_UPSTREAM)
 
 generated_dkms_files = \
   debian/intel-ipu7-dkms.install \

## ipu7-drivers 0~git202511120800.fc335577

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,16 @@
 export EXTERNAL_BUILD = 1
 export CONFIG_VIDEO_INTEL_IPU7 = m
 export CONFIG_IPU_BRIDGE = y
+export CONFIG_INTEL_IPU7_ACPI = m
 
 obj-y += drivers/media/pci/intel/ipu7/
+obj-y += drivers/media/platform/intel/
 subdir-ccflags-y += -I$(src)/include
 
 subdir-ccflags-$(CONFIG_IPU_BRIDGE) += \
 	-DCONFIG_IPU_BRIDGE
+subdir-ccflags-$(CONFIG_INTEL_IPU7_ACPI) += \
+	-DCONFIG_INTEL_IPU7_ACPI
 subdir-ccflags-y += $(subdir-ccflags-m)
 
 all:

=== drivers/media/platform/intel/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2010 - 2022 Intel Corporation.

is_kernel_lt_6_10 = $(shell if [ $$(printf "6.10\n$(KERNELVERSION)" | sort -V | head -n1) != "6.10" ]; then echo 1; fi)
ifeq ($(is_kernel_lt_6_10), 1)
ifneq ($(EXTERNAL_BUILD), 1)
src := $(srctree)/$(src)
endif
endif

ccflags-y += -I$(src)/../../pci/intel/ipu7/

ifneq ($(filter y m, $(CONFIG_INTEL_IPU7_ACPI)),)
obj-$(CONFIG_INTEL_IPU7_ACPI) += ipu-acpi.o \
                                 ipu-acpi-pdata.o \
                                 ipu-acpi-common.o
else
obj-y += ipu7-fpga-pdata.o
endif

=== drivers/media/pci/intel/ipu7/Makefile ===
--- 
+++ 
@@ -27,9 +27,6 @@
 					   ipu7-isys-queue.o \
 					   ipu7-isys-subdev.o
 
-ifdef CONFIG_VIDEO_INTEL_IPU7_MGC
-intel-ipu7-isys-objs                    += ipu7-isys-tpg.o
-endif
 obj-$(CONFIG_VIDEO_INTEL_IPU7)		+= intel-ipu7-isys.o
 
 obj-$(CONFIG_VIDEO_INTEL_IPU7)		+= psys/

=== debian/changelog ===
ipu7-drivers (0~git202511120800.fc335577-0ubuntu1) resolute; urgency=medium

  * New upstream 20251104_0740_359 tag release (LP: #2134604)
    - debian: refresh patches
    - SAUCE: dkms: install missed ipu-acpi modules

  * intel-ipu7-dkms fails to build against kernel = 6.18 (LP: #2130334)
    - media: staging/ipu7: Disallow source multiplexing

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 09 Dec 2025 11:16:59 +0800
